//
// FindWin.c
//
// written by Bob Lord 3/96
//

#include <windows.h>

static HWND hwndFound;

static BOOL CALLBACK EnumWindowsProc(HWND hwnd, LPARAM lParam)
{
	char szWindowTitle[256];
	unsigned length;

	length = lstrlen((char *)lParam) + 1;
	
	GetWindowText(hwnd, szWindowTitle, length);
	if (lstrcmp((char *)(LPCSTR)lParam, szWindowTitle) == 0)
	{
		hwndFound = hwnd;
		return FALSE;
	}
	return TRUE;
}

HWND FindWindowByTitle(LPCSTR lpszTitle)
{
	hwndFound = 0;
	EnumWindows(EnumWindowsProc, (LPARAM)lpszTitle);
	return hwndFound;
}