.286

extrn __acrtused:abs  ; used to link Windows library startup code

DLLENTRY SEGMENT PARA PUBLIC 'CODE'

assume cs:dllentry

include Windows.inc

extrn LIBMAIN:far
extrn LOCALINIT:far
extrn DEBUGBREAK:far

; DI = hInstance
; DS = data segment selector for library
; CX = heap size
; destroys: AX
; returns: AX

public main

main proc far
   call far ptr DEBUGBREAK
   push di      ; save parms needed for libmain() call...
   push ds
   push cx

   jcxz @F      ; if no heap, then don't call LocalInit()

   mov  ax, 0
   push ds
   push ax
   push cx
   call localinit
   cmp  ax, 0
   jz   failload            ; returns FALSE
 @@:

   ; note that we saved the parameters to LibMain() above on the stack
   ; We don't pop these regs off (LibMain() will do it for us -- any pascal
   ; routine will clear the stack of its parameters)
   call libmain             ; returns whatever LIBMAIN() returns

   jmp short return
failload:
   add sp, 6                ; remove params from stack

return:
   ret
main endp

DLLENTRY ENDS

end main

