// WINMOCK, Windows Sockets Off-Line Testing Tool
// WinData.C -- global data for the WinMock library
// Copyright (C) Joseph Hlavaty, 1995.  All rights reserved.

#include <windows.h>
#include <winsock.h>
#include <string.h>

#define NO_EXTERNS
#include "winmock.h"

FARPROC afnWinSock[ NUMBEROFWINSOCKFUNCTIONS ] ;
HMODULE hRealWinSock = NULL ;
char    szBuffer[255] ;

// this is our array of socket structures
MYSOCKET asockets[ MAXSOCKETS ] ;

PMYSOCKET pasocketshead = asockets ;

int nsockets = 0 ;

// this is our array of task structures
MYTASK atasks[ MAXTASKS ] ;

PMYTASK pataskshead = atasks ;

int ntasks = 0 ;

bWaitingForReceive = FALSE ;

char szErrorString[64] ;

struct ERRORENTRY ErrorList[ ERRORLISTSIZE ] =
{
  "ZERO",              zero,
  "SOCKET_ERROR",      socketerror,
  "WSABASEERR",        wsabaseerr,
  "WSAEINTR",          wsaeintr,
  "WSAEBADF",          wsaebadf,
  "WSAEACCES",         wsaeacces,
  "WSAEFAULT",         wsaefault,
  "WSAEINVAL",         wsaeinval,
  "WSAEMFILE",         wsaemfile,
  "WSAEWOULDBLOCK",    wsaewouldblock,
  "WSAEINPROGRESS",    wsaeinprogress,
  "WSAEALREADY",       wsaealready,
  "WSAENOTSOCK",       wsaenotsock,
  "WSAEDESTADDRREQ",   wsaedestaddrreq,
  "WSAEMSGSIZE",       wsaemsgsize,
  "WSAEPROTOTYPE",     wsaeprototype,
  "WSAENOPROTOOPT",    wsaenoprotoopt,
  "WSAEPROTONOSUPPORT",wsaeprotonosupport,
  "WSAESOCKTNOSUPPORT",wsaesocktnosupport,
  "WSAEOPNOTSUPP",     wsaeopnotsupp,
  "WSAEPFNOSUPPORT",   wsaepfnosupport,
  "WSAEAFNOSUPPORT",   wsaeafnosupport,
  "WSAEADDRINUSE",     wsaeaddrinuse,
  "WSAEADDRNOTAVAIL",  wsaeaddrnotavail,
  "WSAENETDOWN",       wsaenetdown,
  "WSAENETUNREACH",    wsaenetunreach,
  "WSAENETRESET",      wsaenetreset,
  "WSAECONNABORTED",   wsaeconnaborted,
  "WSAECONNRESET",     wsaeconnreset,
  "WSAENOBUFS",        wsaenobufs,
  "WSAEISCONN",        wsaeisconn,
  "WSAENOTCONN",       wsaenotconn,
  "WSAESHUTDOWN",      wsaeshutdown,
  "WSAETOOMANYREFS",   wsaetoomanyrefs,
  "WSAETIMEDOUT",      wsaetimedout,
  "WSAECONNREFUSED",   wsaeconnrefused,
  "WSAELOOP",          wsaeloop,
  "WSAENAMETOOLONG",   wsaenametoolong,
  "WSAEHOSTDOWN",      wsaehostdown,
  "WSAEHOSTUNREACH",   wsaehostunreach,
  "WSAENOTEMPTY",      wsaenotempty,
  "WSAEPROCLIM",       wsaeproclim,
  "WSAEUSERS",         wsaeusers,
  "WSAEDQUOT",         wsaedquot,
  "WSAESTALE",         wsaestale,
  "WSAEREMOTE",        wsaeremote,
  "WSASYSNOTREADY",    wsasysnotready,
  "WSAVERNOTSUPPORTED",wsavernotsupported,
  "WSANOTINITIALISED", wsanotinitialised,
  "WSAHOST_NOT_FOUND", wsahost_not_found,
  "WSATRY_AGAIN",      wsatry_again,
  "WSANO_RECOVERY",    wsano_recovery,
  "WSANO_DATA",        wsano_data,
  "WSANO_ADDRESS",     wsano_address,
} ;
